Subject: Re: [Codestand-develop] [IPsec] Code

From: Kathleen Moriarty <[email-masked]>
Date: Wed, 29 Mar 2017 14:56:23 -0400

Thanks, Nico!

This is helpful.  We are on the first phase of development for the
site and have features planned for updated release cycles (time
unknown as this is a volunteer driven effort and coding help is always
welcome).

In case you are not subscribed, this should now have been sent to the
list with my reply for the developers to receive the helpful feedback
and respond.

Best regards,
Kathleen

On Wed, Mar 29, 2017 at 2:53 PM, Nico Williams <[email-masked]> wrote:
> On Wed, Mar 29, 2017 at 02:33:14PM -0400, Kathleen Moriarty wrote:
>> https://codestand.ietf.org/
>
> Nice!
>
> Issues:
>
>  - 5 listings per-page is.. meagre
>
>  - no sorting by protocol, WG, area, submission date
>
>    Searching does support some of these.
>
>  - no sorting by multiple columns makes me sad
>
>    E.g., I'd like to sort by area, WG, protocol, name, release date.
>
>  - What about keywords?
>
>    I'd like to search for implementations that run on or are in XYZ OS.
>
>  - What about proprietary vs. open source, licensing, ...?
>
>  - Search could be better.
>
>  - Issues DB for CodeStand?
>
>    So I don't have to email them :)
>
> That's it for now.
>
> Thanks!
>
> Nico
> --

-- 

Best regards,
Kathleen

---

From: Kathleen Moriarty <[email-masked]>
Date: Wed, 29 Mar 2017 15:29:57 -0400

On Wed, Mar 29, 2017 at 3:21 PM, Nico Williams <[email-masked]> wrote:
> On Wed, Mar 29, 2017 at 02:56:23PM -0400, Kathleen Moriarty wrote:
> I know how it goes :(
> Glad to do that smidgen of helping.
>
> I'm guessing this will always be a rather small DB.  You might get away
> with a very dead simple thing that stores all the data in JSON if so,
> and you might use something like this: https://github.com/fadado/jqt
>
> Of course, building for a bigger world is better.  The IETF ought to
> have a PostgreSQL DB for use by such tools, and if not I'd advise it to.
> I'd also advise CodeStand not to use ORMs -- ORMs are one of the banes
> of my life.
>
> I'm not.  Must I be?

You're probably getting bounces and your messages are getting posted
in my response.  I'm one of the admins, so I could just approve, but
think we need to change our feedback list so this doesn't matter.

Thanks!

-- 

Best regards,
Kathleen